List conversations
GET
/v1/conversationsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
limitinteger<int32>Results per page
min 1 · max 100 · default: 20
cursorstringCursor for pagination (RFC3339|UUID)
statusstringFilter by status
Allowed:
openclosedassigned_agent_idstringFilter by assigned agent ID
searchstringSearch by contact name or phone
label_idstringFilter by label ID
contact_idstringFilter by contact ID
ctwa_onlybooleanOnly conversations with CTWA ad attribution in metadata
Responses
200OK
itemsConversationItem[] | nullrequiredShow propertiesHide properties
Array of
ConversationItemai_handoff_packageAIHandoffPackageItemShow propertiesHide properties
actions_takenanyrequiredagent_idstringcreated_atstringrequiredcustomer_contextanyrequireddetected_intentstringrequiredhandoff_reasonstringrequiredidstringrequirednext_best_actionstringrequiredretrieved_sourcesanyrequiredrun_idstringsentimentanyrequiredstatusstringrequiredsummarystringrequiredai_modestring | nullrequiredassigned_agent_idstring | nullrequiredassigned_atstring | nullrequiredchannel_idstringrequiredclosed_atstring | nullrequiredcontact_idstringrequiredcontact_namestringcontact_phonestringcreated_atstringrequiredidstringrequiredlast_message_atstring | nullrequiredlast_message_directionstring | nullrequiredlast_message_previewstring | nullrequiredmetadataanyrequiredorganization_idstringrequiredstatusstringrequiredunread_countinteger<int32>requiredupdated_atstringrequiredmetaPaginationMetarequiredShow propertiesHide properties
cursorstringhas_morebooleanrequiredlimitinteger<int64>requirednext_cursorstringoffsetinteger<int64>totalinteger<int64>400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/conversations"const response = await fetch("/v1/conversations", {
method: "GET"
});import requests
response = requests.get(
"/v1/conversations",
)Response
{
"items": [
{
"ai_handoff_package": {
"actions_taken": "string",
"agent_id": "string",
"created_at": "string",
"customer_context": "string",
"detected_intent": "string",
"handoff_reason": "string",
"id": "string",
"next_best_action": "string",
"retrieved_sources": "string",
"run_id": "string",
"sentiment": "string",
"status": "string",
"summary": "string"
},
"ai_mode": "string",
"assigned_agent_id": "string",
"assigned_at": "string",
"channel_id": "string",
"closed_at": "string",
"contact_id": "string",
"contact_name": "string",
"contact_phone": "string",
"created_at": "string",
"id": "string",
"last_message_at": "string",
"last_message_direction": "string",
"last_message_preview": "string",
"metadata": "string",
"organization_id": "string",
"status": "string",
"unread_count": 0,
"updated_at": "string"
}
],
"meta": {
"cursor": "string",
"has_more": true,
"limit": 0,
"next_cursor": "string",
"offset": 0,
"total": 0
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}